/*
 * @Author: Jenkins
 * @Date: 2020-12-02 09:20:18
 * @LastEditTime: 2020-12-02 10:53:27
 * @LastEditors: Please set LastEditors
 * @Description: 行业应用页请求接口
 * @FilePath: \rs-cloud-platform-ui\src\api\wsmanagement\industryApplication\index.js
 */

import fetch from 'utils/fetch';

/**
 * 获取所有行业应用类型
 * @param {Object} indexShow 
 */
export function getAllApplicationType(indexShow){
    return fetch({
        url: '/api/website/industryApplicationType/getAll',
        method: 'get',
        param: {indexShow:indexShow}
    });
}

/**
 * 分页获取所有行业应用类型
 * @param {Object} obj
 */
export function getListApplicationType(obj){
    return fetch({
        url: '/api/website/industryApplicationType/getList',
        method: 'get',
        param: obj
    });
}

/**
 * 新增或更新行业应用类型
 * @param {Object} obj 
 */
export function addUpdateApplicationType(obj){
    return fetch({
        url: '/api/website/industryApplicationType/addUpdate',
        method: 'post',
        data: obj
    });
}

/**
 * 分页获取行业应用信息
 * @param {Object} obj 
 */
export function getListApplicationInfo(obj){
    return fetch({
        url: '/api/website/industryApplicationInfo/getList',
        method: 'get',
        param: obj
    });
}

/**
 * 新增或更新行业应用信息
 * @param {Object} obj 
 */
export function addUpdateApplicationInfo(obj){
    return fetch({
        url: '/api/website/industryApplicationInfo/addUpdate',
        method: 'post',
        data: obj
    });
}
